Assignee: Sufiyaan Shaik % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Mar

Description

The Ul will support

e viewing of schema (editing does not require a Ul, because schema is tied to application release)

e viewing of rulesets
¢ viewing of individual rules in a ruleset
e editing of rulesets, creation and deletion of rules, etc

Subtasks:

Task # 17955: Ul: view schema, rulesets and rules

Task # 17956: Ul: create new realmslice by replicating existing slice
Task # 17958: Ul: edit a workflow, add/remove rules

Closed
Closed
Closed

Associated revisions

Revision e3¢c8b250 - 21/02/2024 12:10 PM - Adarsh Shukla

Refs: redmine #17954, Fixed Ruleset hover issue.

Revision 1d0Obfa53 - 22/02/2024 02:13 PM - Adarsh Shukla

refs: redmine #17954, Implemented nexted worklow detail

Revision 8feea562 - 23/02/2024 05:59 PM - Adarsh Shukla

refs: redmine #17954, Minor bug fixes in workflow detail screen

Revision 8e8f2442 - 18/03/2024 06:00 PM - Sufiyaan Shaik

refs: redmine #17954 Added some validation

Revision a595d1de - 20/03/2024 10:27 AM - Adarsh Shukla

refs redmine #17954, Fixed: timestamp related issue.

Revision c7c4e6a3 - 20/03/2024 06:46 PM - Sufiyaan Shaik

refs: redmine #17954 Added:View src feature(to view JSON) and update feature to save Rule

Revision 56920976 - 21/03/2024 04:07 PM - Adarsh Shukla

refs redmine #17954, Ruleset Editing for thencall and elsecall.

Revision 6ddaa067 - 22/03/2024 06:04 PM - Sufiyaan Shaik
refs: redmine #17954 Added:thenCall & elseCall Validation, minor bugs fixed

Revision dbeefcc3 - 27/03/2024 06:13 PM - Adarsh Shukla

refs redmine #17954, changed Ul view based in is_internal flag and Added Json viewer to view Rtree.

Revision 75060e4c - 01/04/2024 07:35 PM - Adarsh Shukla
Refs #17954, Added API calling to update ruleset

Revision 19b6cc43 - 02/04/2024 03:24 PM - Sufiyaan Shaik

refs redmine #17954 Added: provision to remove selected the and else
Revision 1338600 - 03/04/2024 01:03 PM - Adarsh Shukla

refs redmine #17954, Added provision to add rule in the ruleset.

Revision d8fc7d66 - 04/04/2024 10:48 AM - Adarsh Shukla

refs redmine #17954, Updated json files for Localization support

Revision bd1da35e - 04/04/2024 06:12 PM - Adarsh Shukla

refs redmine #17954, Updated request response structure according to backend.

Revision 9960d681 - 08/04/2024 06:39 PM - Adarsh Shukla
refs redmine #17954, Added provision to add workflow.

Revision edc8fbdf - 08/04/2024 06:40 PM - Adarsh Shukla

refs redmine #17954, minor bug fix.

Revision 42ca05ee - 11/04/2024 06:40 PM - Adarsh Shukla
refs redmine #17954, Changes while integration backend API's

Revision 16a7dded - 17/04/2024 12:02 PM - Adarsh Shukla

refs redmine #17954,Fixed some minor bugs.

Revision 80ba99f5 - 19/04/2024 11:29 AM - Adarsh Shukla

refs redmine #17954, Change in warning message for rule add.

History

#1 - 19/03/2024 05:45 PM - Sufiyaan Shaik

- Status changed from New to In Progress

Today me and adarsh fixed the issue related to timestamp(ts), later we discussed some issues with sachin.

#2 - 20/03/2024 12:01 PM - Sufiyaan Shaik

- Assignee set to Sufiyaan Shaik

#3 - 20/03/2024 05:56 PM - Sufiyaan Shaik

Today me and adarsh added the view source feature in the Ul, to see the entire RTree structure in JSON format(as discussed earlier by shuvam),
and added update rule in the modal.

#4 - 21/03/2024 06:30 PM - Adarsh Shukla

Today we fixed some logical issues of ruleset editing.

#5 - 22/03/2024 06:06 PM - Sufiyaan Shaik

Today we fixed issues related to thenCall and elseCall(editing), some minor bugs fixed

#6 - 26/03/2024 05:42 PM - Sufiyaan Shaik

Today me and adarsh had a meeting with Sachin regarding realistic workFlow structure(E-commerce), we implemented
the proper workflow in the mockoon and Ul,

#7 - 27/03/2024 05:47 PM - Adarsh Shukla
Today we have added json viewer in Ul later we had a meeting with sachin in which we discussed regarding Ul view for ruleset whose isInternal flag

is false and implemented the same in the Ul.

#8 - 03/04/2024 04:47 PM - Adarsh Shukla

- Status changed from In Progress to Closed
